# sfptpd::sync_module::ptp
define sfptpd::sync_module::ptp (
  String $interface,
  Enum['slave', 'master'] $ptp_mode                                                            = 'slave',
  Optional[Integer] $priority                                                                  = undef,
  Optional[Integer] $sync_threshold                                                            = undef,
  Boolean $ptp_pkt_dump                                                                        = false,
  Boolean $ptp_pps_log                                                                         = false,
  Optional[Integer] $ptp_tx_latency                                                            = undef,
  Optional[Integer] $ptp_rx_latency                                                            = undef,
  Enum['end-to-end', 'peer‐to‐peer'] $ptp_delay_mechanism                                      = 'end-to-end',
  Enum['hybrid', 'multicast'] $ptp_network_mode                                                = 'hybrid',
  Integer $ptp_ttl                                                                             = 64,
  Optional[Enum['default', 'ignore', 'prefer', 'require', 'override']] $ptp_utc_valid_handling = undef,
  Integer $ptp_domain                                                                          = 0,
  Optional[String] $ptp_timing_acl_allow                                                       = undef,
  Optional[String] $ptp_timing_acl_deny                                                        = undef,
  Optional[String] $ptp_timing_acl_order                                                       = undef,
  Optional[String] $ptp_mgmt_acl_allow                                                         = undef,
  Optional[String] $ptp_mgmt_acl_deny                                                          = undef,
  Optional[String] $ptp_mgmt_acl_order                                                         = undef,
  Integer $ptp_announce_interval                                                               = 1,
  Integer $ptp_announce_timeout                                                                = 6,
  Optional[Integer]   $ptp_delayreq_interval                                                   = undef,
  Integer $ptp_delayresp_timeout                                                               = -2,
  Optional[Integer] $ptp_bmc_priority1                                                         = undef,
  Optional[Integer] $ptp_bmc_priority2                                                         = undef,
  Integer $ptp_trace                                                                           = 0,
  Float $pid_filter_p                                                                          = 0.2,
  Float $pid_filter_i                                                                          = 0.003,
  Optional[String] $remote_monitor                                                             = undef,
  Optional[String] $json_remote_monitor                                                        = undef,
  Optional[Stdlib::IP::Address] $mon_monitor_address                                           = undef,
  Optional[String] $mon_rx_sync_timing_data                                                    = undef,
  Optional[String] $mon_rx_sync_computed_data                                                  = undef,
  Integer $outlier_filter_size                                                                 = 60,
  Integer $outlier_filter_adaption                                                             = 1,
  Integer $mpd_filter_size                                                                     = 8,
  Optional[Integer] $mpd_filter_ageing                                                         = undef,
  Integer $fir_filter_size                                                                     = 1,
) {
  concat::fragment { "ptp_${name}":
    target  => $::sfptpd::config_file,
    content => template("${module_name}/ptp.erb"),
    order   => 40,
  }
}
